> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Проверка намерения

> Получает информацию о намерении купить снаряжение



## OpenAPI

````yaml GET /gear/{id}
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /gear/{id}:
    get:
      description: Получает информацию о намерении купить снаряжение
      parameters:
        - name: id
          in: path
          description: Идентификатор намерения
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: intent response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntentStatusResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IntentStatusResponse:
      required:
        - code
        - verification
        - payment
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        verification:
          description: Статус верификации
          type: string
          enum:
            - pending
            - verified
            - rejected
        deliveryStatus:
          description: Статус доставки (для товаров и снаряжения)
          type: string
          enum:
            - created
            - pending
            - retrying
            - delivered
            - failed
        deliveryId:
          description: Идентификатор доставки (для товаров и снаряжения)
          type: string
        intentAmount:
          description: Сумма пополнения
          type: number
        intentCurrency:
          description: Валюта пополнения
          type: string
        paymentStatus:
          description: Стаутс платежа
          type: string
          enum:
            - pending
            - paid
            - rejected
        paymentAmount:
          description: Сумма платежа
          type: number
        paymentCurrency:
          description: Валюта платежа
          type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````